package servlet.examples.session;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;



public class ShoppingCart extends HttpServlet {

 
	private static final long serialVersionUID = -8104821686068599952L;


public void doPost(HttpServletRequest req, HttpServletResponse res)
                               throws ServletException, IOException {
    res.setContentType("text/html");
    PrintWriter out = res.getWriter();
//  Lekeri a szesszio objektumot, letrehozza, ha szukseges
    HttpSession session = req.getSession();

    // A bevasarlokosar elemei a szesszioban vannak tarolva
    
    List<String> items = (List<String>)session.getAttribute("items");
    if (items==null)
    {
    	items = new ArrayList<String>();
    	session.setAttribute("items", items);
    }

    String newItem = req.getParameter("item");
    
    if (newItem!=null && !"".equals(newItem))
    {
    	items.add(newItem);
    }

    out.println("<html><head><title>SessionTracker</title></head>");
    out.println("<body><h1>Sessziókövetés demo</h1>");

    // Kiirja a bevasarlokosar jelenlegi tartalmat.
    out.println("Jelenleg az alábbi termékek vannak a bevásárlókosaradban:<br />");
    if (items.size()==0) {
      out.println("<b>Üres</b>");
    }
    else {
      out.println("<ul>");
      for (int i = 0; i < items.size(); i++) {
        out.println("<li>" + items.get(i)+ "</li>");
      }
      out.println("</ul>");
    }

    // Megkerdezi, hogy meg akarunk-e ujabb elemet a kosarba tenni.
    out.println("<form action=\"" +
                res.encodeURL(req.getContextPath() + "/ShoppingCart.do") + "\" method=\"POST\">");    
    out.println("<input type=\"text\" name=\"item\" \\>");
    out.println("<input type=\"submit\" value=\" Új elem \" \\>");
    out.println("</form>");
    out.println("</body></html>");
  }


public void doGet(HttpServletRequest req, HttpServletResponse res)
throws ServletException, IOException {
	doPost(req, res);
}
}
